Get AD Connection Status

This method allows you to get AD connection test status issued for the organizations in Saner Server. It requires the name of the organization.

KeyMeaningMandatoryData Type
organizationName of the organization whose AD connection test status will be retrievedYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.AD.getConnectionStatus(
  organization="Demo Org"
  )

if isinstance(response, bytes):
    with open("AD-Agent.zip", "wb") as f:
        f.write(response)
else:
    print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json